Page MenuHomePhabricator

Change the partial block log entry for 'non-editing actions' to 'specified non-editing actions'
Closed, ResolvedPublic0.5 Story Points

Description

Currently, when setting a partial block against a user and not specifying any pages (soon any pages or namespaces) the user can be blocked from certain actions (e.g. uploading files, emailing, account creation, creating pages, moving pages, etc.)

The current phrasing of the log entry is not clear. It implies all non-editing actions, but in reality the block will only prevent specified non-editing actions, as configured by the admin who sets the block.


Acceptance criteria

  • The log entry message should be Timestamp AdminUsername (talk | contribs | block) blocked BlockedUsername (talk | contribs) from specified non-editing actions with an expiration time of duration (block parameters) (reason) (unblock | change block)

Related Objects

Event Timeline

TBolliger created this task.Nov 5 2018, 9:54 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 5 2018, 9:54 PM
TBolliger triaged this task as Normal priority.Nov 5 2018, 9:54 PM
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.
dmaza added a subscriber: dmaza.Nov 8 2018, 4:42 AM

So this is just adding the word "specified" to the current message?

So this is just adding the word "specified" to the current message?

Yes, this is just about adding one word and making sure it is properly re-translated. (Which I believe happens auto-magically...)

TBolliger set the point value for this task to 0.5.Nov 8 2018, 8:07 PM
dmaza claimed this task.Nov 8 2018, 8:35 PM

Change 472527 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] Fix partial block translation for non-editing msg

https://gerrit.wikimedia.org/r/472527

Change 472527 merged by jenkins-bot:
[mediawiki/core@master] Fix partial block translation for non-editing msg

https://gerrit.wikimedia.org/r/472527

dbarratt closed this task as Resolved.Nov 20 2018, 1:45 AM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 33) board.